DERBMPString (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.asn1

## Class DERBMPString

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ASN1Primitive
    - - org.bouncycastle.asn1.DERBMPString

- All Implemented Interfaces:
    ASN1Encodable, ASN1String, Encodable

      public class DERBMPString
      extends ASN1Primitive
      implements ASN1String

  Carrier class for DER encoding BMPString object.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DERBMPString(java.lang.String string)` basic constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `asn1Equals(ASN1Primitive o)`
    `static DERBMPString` | `getInstance(ASN1TaggedObject obj, boolean explicit)` return a BMP String from a tagged object.
    `static DERBMPString` | `getInstance(java.lang.Object obj)` return a BMP String from the given object.
    `java.lang.String` | `getString()` Return a Java String representation of this STRING type's content.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Primitive

      `equals, fromByteArray, toASN1Primitive`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `getEncoded, getEncoded, hasEncodedTagValue, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DERBMPString

          public DERBMPString(java.lang.String string)

      basic constructor
      Parameters:
        `string` - a String to wrap as a BMP STRING.

  - ### Method Detail

    - #### getInstance

          public static DERBMPString getInstance(java.lang.Object obj)

      return a BMP String from the given object.
      Parameters:
        `obj` - the object we want converted.
      Returns:
        a DERBMPString instance, or null.
      Throws:
        `java.lang.IllegalArgumentException` - if the object cannot be converted.

    - #### getInstance

          public static DERBMPString getInstance(ASN1TaggedObject obj,
                                 boolean explicit)

      return a BMP String from a tagged object.
      Parameters:
        `obj` - the tagged object holding the object we want
        `explicit` - true if the object is meant to be explicitly tagged false otherwise.
      Returns:
        a DERBMPString instance.
      Throws:
        `java.lang.IllegalArgumentException` - if the tagged object cannot be converted.

    - #### getString

          public java.lang.String getString()

      Description copied from interface: `ASN1String`
      Return a Java String representation of this STRING type's content.
      Specified by:
        `getString` in interface `ASN1String`
      Returns:
        a Java String representation of this STRING.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `ASN1Primitive`

    - #### asn1Equals

          protected boolean asn1Equals(ASN1Primitive o)